package com.jiuqi.mde;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.mde.MDEField;
import com.jiuqi.mde.MDEFieldSet;
import com.jiuqi.util.RecIndex;

public final class MDEAdditionalIndex extends RecIndex {
  private MDEFieldSet keyFields = new MDEFieldSet();
  
  public void setField(MDEField field) {
    this.keyFields.add(field);
    this.keyFields.complete();
  }
  
  public void setFields(MDEField[] fields) {
    for (int i = 0; i < fields.length; i++)
      this.keyFields.add(fields[i]); 
    this.keyFields.complete();
  }
  
  public MDEFieldSet getKeyFields() {
    return this.keyFields;
  }
  
  public boolean keyFieldsMatch(MDEField field) {
    return (this.keyFields.size() == 1 && this.keyFields.get(0) == field);
  }
  
  public boolean keyFieldsMatch(MDEField[] fields) {
    if (this.keyFields.size() == fields.length) {
      for (int i = 0; i < fields.length; i++) {
        if (this.keyFields.get(i) != fields[i])
          return false; 
      } 
      return true;
    } 
    return false;
  }
}
